Welcome to the BEAM Forum!

We encourage you to sign in our forum and participate in the BEAM community. The forum is maintained by the BEAM project team who will most likely answer your questions within 24 hours (except during common holidays) - if not done by other community members. Collaborate, share your knowledge and learn from other users!

If you don't find what you are looking for, please also consider the following external forums:

Combination View Flat View Tree View
Threads [ Previous | Next ]
mapproj utility / JAVA-JAI error
toggle
Hi forum,

I am trying to reproject Envisat ASAR N1-files using the mapproj tool. For some reason I get an error during processing referring to the mediaLib accelerator wrapper classes. Please see below:

...
Processing requests - Request 1 of 1..., 25% worked
Processing requests - Request 1 of 1..., 50% worked
Error: Could not load mediaLib accelerator wrapper classes. Continuing in pure Java mode.
Occurs in: com.sun.media.jai.mlib.MediaLibAccessor
com.sun.media.jai.mlib.MediaLibLoadException
...

I suspect that the JAI native code libraries cannot be found although I have them installed on my machine. Do I have to build beam from source and compile it in order to get rid of this error? Although mapproj keeps running I am concerned about it because processing of larger files take about two hours and more and I hope that when using JAI this could be reduced significantly.

Thanks for your help,

Andreas
Flag Flag
RE: mapproj utility / JAVA-JAI error
6/11/09 9:57 AM as a reply to Andreas Cziferszky.
Hi Andreas,

you have to install the media extension into the same JRE which is used by BEAM.
If you have installed BEAM with its own JRE you have to install the extension there.

If you have a jre folder within you BEAM installation directory, you have a separate JRE for BEAM and
you should install the extension there.

By the way there is a bug in BEAM 4.6 which makes the map projection slow. It is faster when using BEAM 4.5.

Regards
Marco
Flag Flag
RE: mapproj utility / JAVA-JAI error
beam jai java error
5/3/12 1:22 PM as a reply to Andreas Cziferszky.
I don't know if you have solved this problem. But I found a solution:

Go to this site: http://download.java.net/media/jai/builds/release

dowload the JDK version for your operating system and install it, the problem will be solved!emoticon
Flag Flag